name: python-pytorch-tensorflow-3.7-1.11.0-2.6.0
channels:
- pytorch
- conda-forge
- bioconda
- defaults
dependencies:
- conda-forge::python=3.7
- pytorch::pytorch=1.11.0
- conda-forge::tensorflow-gpu=2.6.0
- mkl=2024.0.0  # fix https://github.com/pytorch/pytorch/issues/123097
- altair
- bcbio-gff
- beautifulsoup4
- biopython
- bokeh
- flake8
- imageai
- imgaug
- ipython
- ipyfilechooser
- ipywidgets=8.0.2
- jupyter
# - qgrid
- matplotlib
- nodejs
- numpy
- openpyxl
- papermill
- pandas
- pandas-profiling
- pip
- plotly
- pyyaml
- requests
#- rpy2
- scikit-bio
- scikit-image
- scikit-learn
- scipy
- seaborn
- sqlalchemy
- torchvision
- vega_datasets
- watermark
- xlrd
- pip:
    - igraph
    - stardist
